<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="yu.org.goodoldai.air.wb.ui.mdr.explorer"
   name="%pluginName"
   version="0.0.1"
   provider-name="%providerName"
   class="yu.org.goodoldai.air.wb.ui.mdr.explorer.ExplorerPlugin">

   <runtime>
      <library name="airmdrexplorer.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="yu.org.goodoldai.air.core"/>
      <import plugin="yu.org.goodoldai.air.wb.core"/>
      <import plugin="yu.org.goodoldai.air.wb.mdr.core"/>
      <import plugin="yu.org.goodoldai.air.wb.ui.core"/>
   </requires>


   <extension
         id="yu.org.goodoldai.air.wb.ui.mdr.explorer.popupMenus"
         name="Popup Menus"
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.core.adaptable.mof.IMofPackageAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.IMofPackage">
         <action
               label="%instantiateActionLabel"
               icon="icons/actions/instantiate.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.InstantiateActionDelegate"
               menubarPath="pmedit"
               enablesFor="1"
               id="yu.org.goodoldai.air.wb.mdr.ui.actions.Instantiate">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.core.adaptable.reflect.IRefPackageAdaptable"
            adaptable="false"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.IRefPackage">
         <action
               label="%DeleteExtentActionLabel"
               icon="icons/actions/deleteextent.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.DeleteExtentActionDelegate"
               menubarPath="pmedit"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.DeleteExtent">
         </action>
         <action
               label="%GenerateDTDActionLabel"
               icon="icons/actions/generateDTD.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.GenerateDTDActionDelegate"
               menubarPath="pmgenerate"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.GenerateDTD">
         </action>
         <action
               label="%ExportToXMIActionLabel"
               icon="icons/actions/export.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.ExportExtentToXMIActionDelegate"
               menubarPath="pmxmi"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.ExportExtentToXMI">
         </action>
         <action
               label="%ImportFromXMIActionLabel"
               icon="icons/actions/import.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.ImportFromXMIActionDelegate"
               menubarPath="pmxmi"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.ImportFromXMI">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.core.adaptable.reflect.IRefObjectAdaptable"
            adaptable="false"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.IRefObject">
         <action
               label="%DeleteRefObjectActionLabel"
               icon="icons/actions/deleterefobject.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.DeleteRefObjectActionDelegate"
               menubarPath="pmedit"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.DeleteRefObject">
         </action>
         <action
               label="%ExportToXMIActionLabel"
               icon="icons/actions/export.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.actions.ExportRefObjectToXMIActionDelegate"
               menubarPath="pmxmi"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.ExportRefObjectToXMI">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.core.adaptable.IAdaptableObject"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.IAdaptableObject">
         <menu
               label="%adaptableObjectViewMenu"
               path="pmview"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.AdaptableObjectViewMenu">
         </menu>
         <action
               label="%AdaptableObjectPropertiesActionLabel"
               icon="icons/actions/properties.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.action3"
               menubarPath="pmproperties"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.AdaptableObjectPropertiesAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="yu.org.goodoldai.air.wb.mdr.core.adaptable.mof.IModelElementAdaptable"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.IModelElement">
         <action
               label="%GenerateJMIinterfacesActionLabel"
               icon="icons/actions/generatejmi.gif"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.action7"
               menubarPath="pmgenerate"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.action7">
         </action>
      </objectContribution>
   </extension>
   <extension
         id="yu.org.goodoldai.air.wb.ui.mdr.explorer.views"
         name="AIR MDR Explorer views"
         point="org.eclipse.ui.views">
      <view
            name="AIR MDR Explorer"
            icon="icons/mdrbrowser/explorer.gif"
            class="yu.org.goodoldai.air.wb.ui.mdr.explorer.ExplorerViewPart"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.MDRExplorerView">
      </view>
   </extension>
   <extension
         id="yu.org.goodoldai.air.wb.ui.mdr.explorer.listeners"
         name="AirMDRCore listeners"
         point="yu.org.goodoldai.air.wb.mdr.core.listeners">
      <listener
            class="yu.org.goodoldai.air.wb.ui.mdr.explorer.ExplorerMDRProvider">
      </listener>
   </extension>
   <extension
         id="yu.org.goodoldai.air.wb.ui.mdr.explorer.perspectives"
         name="Perspectives"
         point="org.eclipse.ui.perspectives">
      <perspective
            name="%explorerPerspectiveName"
            icon="icons/mdrbrowser/explorer.gif"
            class="yu.org.goodoldai.air.wb.ui.mdr.explorer.perspectives.MDRExplorerPerspective"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.mdrExplorerPerspective">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%explorerPreferencePageName"
            category="yu.org.goodoldai.air.wb.mdr.core.internals.AirMDRCorePreferencePage"
            class="yu.org.goodoldai.air.wb.ui.mdr.explorer.internals.preference.ExplorerPreferencePage"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.internals.preference.ExplorerPreferencePage">
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
      <viewContribution
            targetID="yu.org.goodoldai.air.wb.ui.mdr.explorer.MDRExplorerView"
            id="yu.org.goodoldai.air.wb.ui.mdr.explorer.viewContribution2">
         <action
               label="yu.org.goodoldai.air.wb.ui.mdr.explorer.action2"
               class="yu.org.goodoldai.air.wb.ui.mdr.explorer.ViewActionDelegate2"
               menubarPath="vtexplorer"
               id="yu.org.goodoldai.air.wb.ui.mdr.explorer.action2">
         </action>
      </viewContribution>
   </extension>

</plugin>
